function [S] = BoundaryIntervals(A,b)
%
%   BoundaryIntervals      S
%      A*x >= b, 
% A -     ,  m >= 1   2 ,
% x,b -  .
 
   m = size(A,1);
   S = zeros(0,5);

   for i=1:m
      si=true;     % ,  i-  
      q=[-Inf Inf];  %   i-
      dotx= A(i,:)*b(i)/(A(i,:)*A(i,:)');  % dotx -   i- 
                                           % (    )
      p=[-A(i,2) A(i,1)]; %    i- ,
                          %       
                          % (    
                          %    )

      for k=1:m        %%% - i-    ,
                       %%% ..     i-,   
         Akx=A(k,:)*dotx';  %   A_{k:}   dotx
         c=A(k,:)*p';       %   A_{k:}   p
         switch sign(c)
            case -1
               q(2)=min(q(2),(b(k)-Akx)/c);
            case 1
               q(1)=max(q(1),(b(k)-Akx)/c);
            %case 0
            otherwise
               if single(Akx)<single(b(k))
                  if single(A(k,:)*A(i,:)')>0
                     si=false; % i-   
                     break %    for k
                  else % .. <0    - i  k 
%                     disp('   ') 
                     return %    
                  end
               end
         end
      end

      if single(q(1))>single(q(2))
         si=false;
      end 

      if si
      S=[ S ; dotx+p*q(1) , dotx+p*q(2) , i];
      end

   end
               
end