function [V,cfinite]=AddV(V,cfinite,A,b,m,cnmty)
%
%  AddV    V    H
%     A x >= b, 
%   A -    m  3 (m>=1)   ,
%   b -  ,
%   x -   .
%  ,  H    .
%
% :    (  , )
% :  15/09/2012

   if ~cnmty %      H
      return;
   end

   for i=1:m
      
      %      (0,x1,x2,x3) 
      %     (pr,y1,y2) 
      %  i (  A(i,:)x=b(i))
      [pr,At,bt,y1,y2]=ChangeVariable(A,b,i);

      %     At 
      % (   ,  i) 
      [At,bt,cnmtyt]=ClearZeroRows(At,bt);

      if ~cnmtyt
         continue; %  i    H
      end

      %   St  
      [St]=BoundaryIntervals(At,bt);

      if size(St,1)==0 % 
         continue; %  i    H
      end

      % c    i   Vt

        Vt=St(:,1:2); %     

        xbf=isfinite(Vt(:,1));
        ybf=isfinite(Vt(:,2));
        binf=~min(xbf,ybf); %  St(binf,5) 
                            %      

        if max(binf)
           cfinite=0;
        end

        Vt(binf,:)=[]; 

      %   Vt   ,   Vtt 
      Vtt=zeros(0,3); 
      for k=1:size(Vt,1)
          Vtt=[Vtt ; pr+y1*Vt(k,1)+y2*Vt(k,2) ];
      end

      V=[V;Vtt];

   end

end